#include <iostream>
using namespace std;

int minpotrebnoban(int brojucenika,int grupa)
{
    int rez;
    if (grupa == 1)
    {
        for (int k = 1; k<=brojucenika;k++)
        {
            rez+=k;
        }

        return rez;
    }
    if (brojucenika==grupa)
    {
        return brojucenika;
    }
    if (brojucenika == grupa+1)
    {
        return 3+grupa-1;
    }
    if (grupa == 2)
    {
        int sredina = brojucenika/2;
        int ostalo = brojucenika-sredina;
        for (int i = 1; i<=sredina;i++)
            rez+=i;
        for (int k = 1; k<=ostalo;k++)
            rez+=k;
        return rez;
    }

}

int main()
{
    int t;
    int brojucenika;
    int krembananica;
    int grupa;
    cin >> t;
    string rez[t];
    for (int i = 0; i<t;i++)
    {
        cin >> brojucenika >> krembananica >> grupa;
        if (minpotrebnoban(brojucenika,grupa)<=krembananica)
        {
            rez[i]="Tak";

        }
        else
        {
            rez[i]="Nie";
        }
    }

    for (int k = 0; k<t;k++)
    {
        cout << rez[k]<<endl;
    }
}